Skip to main content
GET
Get payment signature for a company
Generating a signature authorizes a movement of funds, so this GET requires contractsAndSignatures:write โ€” not read. See API key roles.

Authorizations

Api-Key
string
header
required

Path Parameters

companyId
string<uuid>
required

Id of the company to get a payment signature for

Query Parameters

chainId
integer

The chain id - as a parsed base-10 number - that the smart contract is deployed on

token
string
required

The address of the token that the payment should be made in, as a hex string for evm or base58 string for solana

amount
string
required

The amount of token that is being paid

adminAddress
string
required

The address making the payment, as a hex string for evm or base58 string for Solana, which should be an admin of the smart contract

isAmountNative
boolean

Whether the amount is in asset's native units. If false, amount is in cents.

rainCollateralContractId
string<uuid>

Optional ID of the specific collateral contract to use for this signature

Response

Successful operation

status
enum<string>
required

Status of the signature

Available options:
ready
signature
object
required
expiresAt
string<date-time>

The time at which the signature expires